Restore of 3.9.14 backup with version 3.9.18 didn't work at all

Volkmar
2013-01-23
2013-02-04
  • Volkmar
    Volkmar
    2013-01-23

    Hi!
    Is it necessary to install intermediate versions? Which ones are mandatory?
    Regards
    Volkmar

     
    • Volkmar
      Volkmar
      2013-01-27

      Unfortunately my problem is not solved with version 3.9.19. I tried to load my actual backup of 3.9.14 with versions 3.9.15 and 3.9.16 and each failed. Then I tried an old 3.9.11 backup with version 3.9.16 which seemed to work quite well. I even could load a 3.9.14 backup which was done a month ago.

      To me it seems there's a problem with the backup file size. Could it be that there's a problem with backup files exceeding a size of 2^32 byte? The last one which is working has a size of 4,227,759,104 byte (< 2^32). My last two backups have a size exceeding 2^32 (the actual one is of 5,050,469,376 byte). And different to all older backups their version are not recognized in DataCrow. When I rename the file's extension to ".zip" I can open the archive easily without any error. At a first glance the files and directories inside seem to be accesible. The "version.txt" is readable. But then WinRar shows an error that the archive is destroyed. Different to the large files I can unpack an older and smaller Backup-File without an error with the same WinRar version.

      So it seems to me that the backup process has a problem - at least in version 3.9.14. I will do some further checks with 3.4.19 what happens when I exceed the 2^32 byte range.

      I have a very large movie collection and it would be a total mess if I had to enter the last 150-200 movies again.

       
  • This was fixed with version 3.9.20.

    Cheers, Robert